Bug 139652 - Croatian keyboard map is invalid
Croatian keyboard map is invalid
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-17 02:57 EST by Miroslav Rajcic
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 05:32:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Rajcic 2004-11-17 02:57:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
Croatian keyboard is not defined properly (one of the keys is wrongly
defined).
Below, there is a patch against file
"/usr/X11R6/lib/X11/xkb/symbols/pc/hr" that fixes the problem.

---------------------- PATCH ---------------------------------------
--- hr	2004-11-16 18:07:42.314679720 +0100
+++ hr_new	2004-11-11 14:29:43.000000000 +0100
@@ -20,6 +20,7 @@
 
     name[Group1]="Croatian";
 
+    key <AB10> {	[     minus,	underscore	]	}; 
     key <AE01>	{ [         1,     exclam,   asciitilde,   dead_tilde ]	};
     key <AE02>	{ [         2,   quotedbl,   dead_caron,        caron ]	};
     key <AE03>	{ [         3, numbersign,  asciicircum,
dead_circumflex ] }; 

Version-Release number of selected component (if applicable):
xorg-x11-6.8.1-12.i386.rpm

How reproducible:
Always

Steps to Reproduce:
1. Select Croatian keyboard
2. Press key next to the "right shift key" (first one left of)
3. It should, but it does not, produce minus and underscore letters!
    

Additional info:
Comment 1 Mike A. Harris 2004-11-17 21:02:27 EST
Thanks for the report.  Please file this request in X.Org bugzilla
located at http://bugs.freedesktop.org in the "xorg" component.
Once the xkb subsystem maintainer has had a chance to review
the change and commit an official fix to X.Org CVS, future X.Org
versions will then be assured to contain this fix upstream.

Please paste the URL to your X.org bug report here and Red Hat
will track the issue in the upstream bugzilla, and consider
including the fix once it has been committed to X.Org CVS.

Setting status to "NEEDINFO".
Comment 3 Miroslav Rajcic 2004-11-18 02:43:12 EST
Link to the bug in freedesktop's bugzilla is:
http://bugs.freedesktop.org/show_bug.cgi?id=1867 
Comment 4 Mike A. Harris 2005-02-01 05:32:08 EST
Setting status to "UPSTREAM" for tracking in the upstream bug report.

Note You need to log in before you can comment on or make changes to this bug.